## org.eclipse.jetty.server
Class HttpConnection.Output

    java.lang.Object
      java.io.OutputStream
          javax.servlet.ServletOutputStream
              org.eclipse.jetty.server.HttpOutput
                  org.eclipse.jetty.server.HttpConnection.Output

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable

Enclosing class:
  HttpConnection

    public class HttpConnection.Output

extends HttpOutput

Field Summary

Fields inherited from class org.eclipse.jetty.server.HttpOutput
`_buf, _generator, _maxIdleTime`

Method Summary
`void` `close()`
`void` `flush()`
`void` `print(java.lang.String s)` Writes a `String` to the client, without a carriage return-line feed (CRLF) character at the end.
`void` `sendContent(java.lang.Object content)`
`void` `sendResponse(Buffer response)`

Methods inherited from class org.eclipse.jetty.server.HttpOutput
`isClosed, isWritten, reopen, write, write, write`

Methods inherited from class javax.servlet.ServletOutputStream
`print, print, print, print, print, print, println, println, println, println, println, println, println, println`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### close

    public void close()
               throws java.io.IOException

  Specified by:
    `close` in interface `java.io.Closeable`
  Overrides:
    `close` in class `HttpOutput`
  Throws:
    `java.io.IOException`

### flush

    public void flush()
               throws java.io.IOException

  Specified by:
    `flush` in interface `java.io.Flushable`
  Overrides:
    `flush` in class `HttpOutput`
  Throws:
    `java.io.IOException`

### print

    public void print(java.lang.String s)
               throws java.io.IOException

  Description copied from class: `ServletOutputStream`
  Writes a `String` to the client, without a carriage return-line feed (CRLF) character at the end.

  Overrides:
    `print` in class `HttpOutput`
  Parameters:
    `s` - the `String` to send to the client
  Throws:
    `java.io.IOException` - if an input or output exception occurred

### sendResponse

    public void sendResponse(Buffer response)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### sendContent

    public void sendContent(java.lang.Object content)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.